Loading...
Searching...
No Matches
xfs_sb.h File Reference

Go to the source code of this file.

## Data Structures

struct | xfs_sb

## Macros

#define | XFS_B_FSB_OFFSET(mp, b)
#define | XFS_B_TO_FSB(mp, b)
#define | XFS_B_TO_FSBT(mp, b)
#define | XFS_BB_FSB_OFFSET(mp, bb)
#define | XFS_BB_TO_FSB(mp, bb)
#define | XFS_BB_TO_FSBT(mp, bb)
#define | XFS_BUF_TO_SBP(bp)
#define | XFS_DADDR_TO_FSB(mp, d)
#define | XFS_FSB_TO_B(mp, fsbno)
#define | XFS_FSB_TO_BB(mp, fsbno)
#define | XFS_FSB_TO_DADDR(mp, fsbno)
#define | XFS_HDR_BLOCK(mp, d)
#define | XFS_SB_ALL_BITS ((1LL << XFS_SB_NUM_BITS) - 1)
#define | XFS_SB_BLOCK(mp)
#define | XFS_SB_DADDR ((xfs_daddr_t)0) /* daddr in file system/ag */
#define | XFS_SB_FNAME XFS_SB_MVAL(FNAME)
#define | XFS_SB_GOOD_SASH_VERSION(sbp)
#define | XFS_SB_GOOD_VERSION(sbp)
#define | XFS_SB_GOOD_VERSION_INT(sbp)
#define | XFS_SB_GQUOTINO XFS_SB_MVAL(GQUOTINO)
#define | XFS_SB_MAGIC 0x58465342 /* 'XFSB' */
#define | XFS_SB_MAX_SHARED_VN 0
#define | XFS_SB_MOD_BITS
#define | XFS_SB_MVAL(x)
#define | XFS_SB_NUM_BITS ((int)XFS_SBS_FIELDCOUNT)
#define | XFS_SB_QFLAGS XFS_SB_MVAL(QFLAGS)
#define | XFS_SB_RBMINO XFS_SB_MVAL(RBMINO)
#define | XFS_SB_ROOTINO XFS_SB_MVAL(ROOTINO)
#define | XFS_SB_RSUMINO XFS_SB_MVAL(RSUMINO)
#define | XFS_SB_SHARED_VN XFS_SB_MVAL(SHARED_VN)
#define | XFS_SB_UNIT XFS_SB_MVAL(UNIT)
#define | XFS_SB_UQUOTINO XFS_SB_MVAL(UQUOTINO)
#define | XFS_SB_UUID XFS_SB_MVAL(UUID)
#define | XFS_SB_VERSION_1 1 /* 5.3, 6.0.1, 6.1 */
#define | XFS_SB_VERSION_2 2 /* 6.2 - attributes */
#define | XFS_SB_VERSION_3 3 /* 6.2 - new inode version */
#define | XFS_SB_VERSION_4 4 /* 6.2+ - bitmask version */
#define | XFS_SB_VERSION_ADDATTR(sbp)
#define | XFS_SB_VERSION_ADDDALIGN(sbp)
#define | XFS_SB_VERSION_ADDEXTFLGBIT(sbp)
#define | XFS_SB_VERSION_ADDNLINK(sbp)
#define | XFS_SB_VERSION_ADDQUOTA(sbp)
#define | XFS_SB_VERSION_ADDSHARED(sbp)
#define | XFS_SB_VERSION_ALIGNBIT 0x0080
#define | XFS_SB_VERSION_ALLFBITS 0xfff0
#define | XFS_SB_VERSION_ATTRBIT 0x0010
#define | XFS_SB_VERSION_DALIGNBIT 0x0100
#define | XFS_SB_VERSION_DIRV2BIT 0x2000
#define | XFS_SB_VERSION_EXTFLGBIT 0x1000
#define | XFS_SB_VERSION_HASALIGN(sbp)
#define | XFS_SB_VERSION_HASATTR(sbp)
#define | XFS_SB_VERSION_HASDALIGN(sbp)
#define | XFS_SB_VERSION_HASDIRV2(sbp)
#define | XFS_SB_VERSION_HASEXTFLGBIT(sbp)
#define | XFS_SB_VERSION_HASNLINK(sbp)
#define | XFS_SB_VERSION_HASQUOTA(sbp)
#define | XFS_SB_VERSION_HASSHARED(sbp)
#define | XFS_SB_VERSION_MKFS(ia, dia, extflag, dirv2)
#define | XFS_SB_VERSION_NLINKBIT 0x0020
#define | XFS_SB_VERSION_NUM(sbp)
#define | XFS_SB_VERSION_NUMBITS 0x000f
#define | XFS_SB_VERSION_OKREALBITS
#define | XFS_SB_VERSION_OKREALFBITS
#define | XFS_SB_VERSION_OKSASHBITS
#define | XFS_SB_VERSION_OKSASHFBITS
#define | XFS_SB_VERSION_QUOTABIT 0x0040
#define | XFS_SB_VERSION_REALFBITS 0x0ff0
#define | XFS_SB_VERSION_SASHFBITS 0xf000
#define | XFS_SB_VERSION_SHAREDBIT 0x0200
#define | XFS_SB_VERSION_SUBALIGN(sbp)
#define | XFS_SB_VERSION_SUBEXTFLGBIT(sbp)
#define | XFS_SB_VERSION_SUBSHARED(sbp)
#define | XFS_SB_VERSION_TONEW(v)
#define | XFS_SB_VERSION_TOOLD(v)
#define | XFS_SB_VERSIONNUM XFS_SB_MVAL(VERSIONNUM)
#define | XFS_SB_WIDTH XFS_SB_MVAL(WIDTH)
#define | XFS_SBF_NOFLAGS 0x00 /* no flags set */
#define | XFS_SBF_READONLY 0x01 /* only read-only mounts allowed */

## Typedefs

typedef struct xfs_sb | xfs_sb_t

## Enumerations

enum

xfs_sb_field_t {
XFS_SBS_MAGICNUM , XFS_SBS_BLOCKSIZE , XFS_SBS_DBLOCKS , XFS_SBS_RBLOCKS ,
XFS_SBS_REXTENTS , XFS_SBS_UUID , XFS_SBS_LOGSTART , XFS_SBS_ROOTINO ,
XFS_SBS_RBMINO , XFS_SBS_RSUMINO , XFS_SBS_REXTSIZE , XFS_SBS_AGBLOCKS ,
XFS_SBS_AGCOUNT , XFS_SBS_RBMBLOCKS , XFS_SBS_LOGBLOCKS , XFS_SBS_VERSIONNUM ,
XFS_SBS_SECTSIZE , XFS_SBS_INODESIZE , XFS_SBS_INOPBLOCK , XFS_SBS_FNAME ,
XFS_SBS_BLOCKLOG , XFS_SBS_SECTLOG , XFS_SBS_INODELOG , XFS_SBS_INOPBLOG ,
XFS_SBS_AGBLKLOG , XFS_SBS_REXTSLOG , XFS_SBS_INPROGRESS , XFS_SBS_IMAX_PCT ,
XFS_SBS_ICOUNT , XFS_SBS_IFREE , XFS_SBS_FDBLOCKS , XFS_SBS_FREXTENTS ,
XFS_SBS_UQUOTINO , XFS_SBS_GQUOTINO , XFS_SBS_QFLAGS , XFS_SBS_FLAGS ,
XFS_SBS_SHARED_VN , XFS_SBS_INOALIGNMT , XFS_SBS_UNIT , XFS_SBS_WIDTH ,
XFS_SBS_DIRBLKLOG , XFS_SBS_DUMMY , XFS_SBS_FIELDCOUNT
}

## Macro Definition Documentation

## XFS_B_FSB_OFFSET

#define XFS_B_FSB_OFFSET | ( |  | mp,
|  |  | b )

Value:
((b) & (mp)->m_blockmask)

## XFS_B_TO_FSB

#define XFS_B_TO_FSB | ( |  | mp,
|  |  | b )

Value:
((((uint64_t)(b)) + (mp)->m_blockmask) >> (mp)->m_sb.sb_blocklog)

## XFS_B_TO_FSBT

#define XFS_B_TO_FSBT | ( |  | mp,
|  |  | b )

Value:
(((uint64_t)(b)) >> (mp)->m_sb.sb_blocklog)

## XFS_BB_FSB_OFFSET

#define XFS_BB_FSB_OFFSET | ( |  | mp,
|  |  | bb )

Value:
((bb) & ((mp)->m_bsize - 1))

## XFS_BB_TO_FSB

#define XFS_BB_TO_FSB | ( |  | mp,
|  |  | bb )

Value:
(((bb) + (XFS_FSB_TO_BB(mp,1) - 1)) >> (mp)->m_blkbb_log)
XFS_FSB_TO_BB
#define XFS_FSB_TO_BB(mp, fsbno)
Definition xfs_sb.h:466

## XFS_BB_TO_FSBT

#define XFS_BB_TO_FSBT | ( |  | mp,
|  |  | bb )

Value:
((bb) >> (mp)->m_blkbb_log)

## XFS_BUF_TO_SBP

#define XFS_BUF_TO_SBP | ( |  | bp | ) |

Value:
((xfs_sb_t *)XFS_BUF_PTR(bp))
xfs_sb_t
struct xfs_sb xfs_sb_t

## XFS_DADDR_TO_FSB

#define XFS_DADDR_TO_FSB | ( |  | mp,
|  |  | d )

Value:
XFS_AGB_TO_FSB(mp, XFS_DADDR_TO_AGNO(mp,d), XFS_DADDR_TO_AGBNO(mp,d))

## XFS_FSB_TO_B

#define XFS_FSB_TO_B | ( |  | mp,
|  |  | fsbno )

Value:
((xfs_fsize_t)(fsbno) << \
(mp)->m_sb.sb_blocklog)
xfs_fsize_t
int64_t xfs_fsize_t
Definition xfs_types.h:53

## XFS_FSB_TO_BB

#define XFS_FSB_TO_BB | ( |  | mp,
|  |  | fsbno )

Value:
((fsbno) << (mp)->m_blkbb_log)

## XFS_FSB_TO_DADDR

#define XFS_FSB_TO_DADDR | ( |  | mp,
|  |  | fsbno )

Value:
XFS_AGB_TO_DADDR(mp, XFS_FSB_TO_AGNO(mp,fsbno), \
XFS_FSB_TO_AGBNO(mp,fsbno))

## XFS_HDR_BLOCK

#define XFS_HDR_BLOCK | ( |  | mp,
|  |  | d )

Value:
((xfs_agblock_t)(XFS_BB_TO_FSBT(mp,d)))
XFS_BB_TO_FSBT
#define XFS_BB_TO_FSBT(mp, bb)
Definition xfs_sb.h:469
xfs_agblock_t
uint32_t xfs_agblock_t
Definition xfs_types.h:48

## XFS_SB_ALL_BITS

#define XFS_SB_ALL_BITS ((1LL << XFS_SB_NUM_BITS) - 1)

## XFS_SB_BLOCK

#define XFS_SB_BLOCK | ( |  | mp | ) |

Value:
XFS_HDR_BLOCK(mp, XFS_SB_DADDR)
XFS_HDR_BLOCK
#define XFS_HDR_BLOCK(mp, d)
Definition xfs_sb.h:445
XFS_SB_DADDR
#define XFS_SB_DADDR
Definition xfs_sb.h:433

## XFS_SB_DADDR

#define XFS_SB_DADDR ((xfs_daddr_t)0) /* daddr in file system/ag */

## XFS_SB_FNAME

#define XFS_SB_FNAME XFS_SB_MVAL(FNAME)

## XFS_SB_GOOD_SASH_VERSION

#define XFS_SB_GOOD_SASH_VERSION | ( |  | sbp | ) |

Value:
((((sbp)->sb_versionnum >= XFS_SB_VERSION_1) && \
((sbp)->sb_versionnum <= XFS_SB_VERSION_3)) || \
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
!((sbp)->sb_versionnum & ~XFS_SB_VERSION_OKSASHBITS)))
XFS_SB_VERSION_3
#define XFS_SB_VERSION_3
Definition xfs_sb.h:46
XFS_SB_VERSION_4
#define XFS_SB_VERSION_4
Definition xfs_sb.h:47
XFS_SB_VERSION_1
#define XFS_SB_VERSION_1
Definition xfs_sb.h:44
XFS_SB_VERSION_OKSASHBITS
#define XFS_SB_VERSION_OKSASHBITS
Definition xfs_sb.h:70
XFS_SB_VERSION_NUM
#define XFS_SB_VERSION_NUM(sbp)
Definition xfs_sb.h:201

## XFS_SB_GOOD_VERSION

#define XFS_SB_GOOD_VERSION | ( |  | sbp | ) |

Value:
(XFS_SB_GOOD_VERSION_INT(sbp) && \
(!((sbp)->sb_versionnum & XFS_SB_VERSION_SHAREDBIT) || \
(sbp)->sb_shared_vn <= XFS_SB_MAX_SHARED_VN)) ))
XFS_SB_GOOD_VERSION_INT
#define XFS_SB_GOOD_VERSION_INT(sbp)
Definition xfs_sb.h:208
XFS_SB_VERSION_SHAREDBIT
#define XFS_SB_VERSION_SHAREDBIT
Definition xfs_sb.h:57
XFS_SB_MAX_SHARED_VN
#define XFS_SB_MAX_SHARED_VN
Definition xfs_sb.h:195

## XFS_SB_GOOD_VERSION_INT

#define XFS_SB_GOOD_VERSION_INT | ( |  | sbp | ) |

Value:
((((sbp)->sb_versionnum >= XFS_SB_VERSION_1) && \
((sbp)->sb_versionnum <= XFS_SB_VERSION_3)) || \
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
!((sbp)->sb_versionnum & ~XFS_SB_VERSION_OKREALBITS)
XFS_SB_VERSION_OKREALBITS
#define XFS_SB_VERSION_OKREALBITS
Definition xfs_sb.h:74

## XFS_SB_GQUOTINO

#define XFS_SB_GQUOTINO XFS_SB_MVAL(GQUOTINO)

## XFS_SB_MAGIC

#define XFS_SB_MAGIC 0x58465342 /* 'XFSB' */

## XFS_SB_MAX_SHARED_VN

#define XFS_SB_MAX_SHARED_VN 0

## XFS_SB_MOD_BITS

#define XFS_SB_MOD_BITS

Value:
(XFS_SB_UUID | XFS_SB_ROOTINO | XFS_SB_RBMINO | XFS_SB_RSUMINO | \
XFS_SB_VERSIONNUM | XFS_SB_UQUOTINO | XFS_SB_GQUOTINO | \
XFS_SB_QFLAGS | XFS_SB_SHARED_VN | XFS_SB_UNIT | XFS_SB_WIDTH)
XFS_SB_VERSIONNUM
#define XFS_SB_VERSIONNUM
Definition xfs_sb.h:171
XFS_SB_RBMINO
#define XFS_SB_RBMINO
Definition xfs_sb.h:169
XFS_SB_GQUOTINO
#define XFS_SB_GQUOTINO
Definition xfs_sb.h:173
XFS_SB_SHARED_VN
#define XFS_SB_SHARED_VN
Definition xfs_sb.h:175
XFS_SB_ROOTINO
#define XFS_SB_ROOTINO
Definition xfs_sb.h:168
XFS_SB_QFLAGS
#define XFS_SB_QFLAGS
Definition xfs_sb.h:174
XFS_SB_UUID
#define XFS_SB_UUID
Definition xfs_sb.h:166
XFS_SB_RSUMINO
#define XFS_SB_RSUMINO
Definition xfs_sb.h:170
XFS_SB_WIDTH
#define XFS_SB_WIDTH
Definition xfs_sb.h:177
XFS_SB_UQUOTINO
#define XFS_SB_UQUOTINO
Definition xfs_sb.h:172
XFS_SB_UNIT
#define XFS_SB_UNIT
Definition xfs_sb.h:176

## XFS_SB_MVAL

#define XFS_SB_MVAL | ( |  | x | ) |

Value:
(1LL << XFS_SBS_ ## x)

## XFS_SB_NUM_BITS

#define XFS_SB_NUM_BITS ((int)XFS_SBS_FIELDCOUNT)

## XFS_SB_QFLAGS

#define XFS_SB_QFLAGS XFS_SB_MVAL(QFLAGS)

## XFS_SB_RBMINO

#define XFS_SB_RBMINO XFS_SB_MVAL(RBMINO)

## XFS_SB_ROOTINO

#define XFS_SB_ROOTINO XFS_SB_MVAL(ROOTINO)

## XFS_SB_RSUMINO

#define XFS_SB_RSUMINO XFS_SB_MVAL(RSUMINO)

## XFS_SB_SHARED_VN

#define XFS_SB_SHARED_VN XFS_SB_MVAL(SHARED_VN)

## XFS_SB_UNIT

#define XFS_SB_UNIT XFS_SB_MVAL(UNIT)

## XFS_SB_UQUOTINO

#define XFS_SB_UQUOTINO XFS_SB_MVAL(UQUOTINO)

## XFS_SB_UUID

#define XFS_SB_UUID XFS_SB_MVAL(UUID)

## XFS_SB_VERSION_1

#define XFS_SB_VERSION_1 1 /* 5.3, 6.0.1, 6.1 */

## XFS_SB_VERSION_2

#define XFS_SB_VERSION_2 2 /* 6.2 - attributes */

## XFS_SB_VERSION_3

#define XFS_SB_VERSION_3 3 /* 6.2 - new inode version */

## XFS_SB_VERSION_4

#define XFS_SB_VERSION_4 4 /* 6.2+ - bitmask version */

## XFS_SB_VERSION_ADDATTR

#define XFS_SB_VERSION_ADDATTR | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
(((sbp)->sb_versionnum == XFS_SB_VERSION_1) ? \
XFS_SB_VERSION_2 : \
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) ? \
((sbp)->sb_versionnum | XFS_SB_VERSION_ATTRBIT) : \
(XFS_SB_VERSION_4 | XFS_SB_VERSION_ATTRBIT))))
XFS_SB_VERSION_ATTRBIT
#define XFS_SB_VERSION_ATTRBIT
Definition xfs_sb.h:52
XFS_SB_VERSION_2
#define XFS_SB_VERSION_2
Definition xfs_sb.h:45

## XFS_SB_VERSION_ADDDALIGN

#define XFS_SB_VERSION_ADDDALIGN | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
((sbp)->sb_versionnum | XFS_SB_VERSION_DALIGNBIT))
XFS_SB_VERSION_DALIGNBIT
#define XFS_SB_VERSION_DALIGNBIT
Definition xfs_sb.h:56

## XFS_SB_VERSION_ADDEXTFLGBIT

#define XFS_SB_VERSION_ADDEXTFLGBIT | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
((sbp)->sb_versionnum | XFS_SB_VERSION_EXTFLGBIT))
XFS_SB_VERSION_EXTFLGBIT
#define XFS_SB_VERSION_EXTFLGBIT
Definition xfs_sb.h:58

## XFS_SB_VERSION_ADDNLINK

#define XFS_SB_VERSION_ADDNLINK | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
((sbp)->sb_versionnum <= XFS_SB_VERSION_2 ? \
XFS_SB_VERSION_3 : \
((sbp)->sb_versionnum | XFS_SB_VERSION_NLINKBIT)))
XFS_SB_VERSION_NLINKBIT
#define XFS_SB_VERSION_NLINKBIT
Definition xfs_sb.h:53

## XFS_SB_VERSION_ADDQUOTA

#define XFS_SB_VERSION_ADDQUOTA | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
(XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4 ? \
((sbp)->sb_versionnum | XFS_SB_VERSION_QUOTABIT) : \
(XFS_SB_VERSION_TONEW((sbp)->sb_versionnum) | \
XFS_SB_VERSION_QUOTABIT)))
XFS_SB_VERSION_QUOTABIT
#define XFS_SB_VERSION_QUOTABIT
Definition xfs_sb.h:54
XFS_SB_VERSION_TONEW
#define XFS_SB_VERSION_TONEW(v)
Definition xfs_sb.h:241

## XFS_SB_VERSION_ADDSHARED

#define XFS_SB_VERSION_ADDSHARED | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
((sbp)->sb_versionnum | XFS_SB_VERSION_SHAREDBIT))

## XFS_SB_VERSION_ALIGNBIT

#define XFS_SB_VERSION_ALIGNBIT 0x0080

## XFS_SB_VERSION_ALLFBITS

#define XFS_SB_VERSION_ALLFBITS 0xfff0

## XFS_SB_VERSION_ATTRBIT

#define XFS_SB_VERSION_ATTRBIT 0x0010

## XFS_SB_VERSION_DALIGNBIT

#define XFS_SB_VERSION_DALIGNBIT 0x0100

## XFS_SB_VERSION_DIRV2BIT

#define XFS_SB_VERSION_DIRV2BIT 0x2000

## XFS_SB_VERSION_EXTFLGBIT

#define XFS_SB_VERSION_EXTFLGBIT 0x1000

## XFS_SB_VERSION_HASALIGN

#define XFS_SB_VERSION_HASALIGN | ( |  | sbp | ) |

Value:
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
((sbp)->sb_versionnum & XFS_SB_VERSION_ALIGNBIT))
XFS_SB_VERSION_ALIGNBIT
#define XFS_SB_VERSION_ALIGNBIT
Definition xfs_sb.h:55

## XFS_SB_VERSION_HASATTR

#define XFS_SB_VERSION_HASATTR | ( |  | sbp | ) |

Value:
(((sbp)->sb_versionnum == XFS_SB_VERSION_2) || \
((sbp)->sb_versionnum == XFS_SB_VERSION_3) || \
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
((sbp)->sb_versionnum & XFS_SB_VERSION_ATTRBIT)))

## XFS_SB_VERSION_HASDALIGN

#define XFS_SB_VERSION_HASDALIGN | ( |  | sbp | ) |

Value:
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
((sbp)->sb_versionnum & XFS_SB_VERSION_DALIGNBIT))

## XFS_SB_VERSION_HASDIRV2

#define XFS_SB_VERSION_HASDIRV2 | ( |  | sbp | ) |

Value:
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
((sbp)->sb_versionnum & XFS_SB_VERSION_DIRV2BIT))
XFS_SB_VERSION_DIRV2BIT
#define XFS_SB_VERSION_DIRV2BIT
Definition xfs_sb.h:59

## XFS_SB_VERSION_HASEXTFLGBIT

#define XFS_SB_VERSION_HASEXTFLGBIT | ( |  | sbp | ) |

Value:
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
((sbp)->sb_versionnum & XFS_SB_VERSION_EXTFLGBIT))

## XFS_SB_VERSION_HASNLINK

#define XFS_SB_VERSION_HASNLINK | ( |  | sbp | ) |

Value:
(((sbp)->sb_versionnum == XFS_SB_VERSION_3) || \
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
((sbp)->sb_versionnum & XFS_SB_VERSION_NLINKBIT)))

## XFS_SB_VERSION_HASQUOTA

#define XFS_SB_VERSION_HASQUOTA | ( |  | sbp | ) |

Value:
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
((sbp)->sb_versionnum & XFS_SB_VERSION_QUOTABIT))

## XFS_SB_VERSION_HASSHARED

#define XFS_SB_VERSION_HASSHARED | ( |  | sbp | ) |

Value:
((XFS_SB_VERSION_NUM(sbp) == XFS_SB_VERSION_4) && \
((sbp)->sb_versionnum & XFS_SB_VERSION_SHAREDBIT))

## XFS_SB_VERSION_MKFS

#define XFS_SB_VERSION_MKFS | ( |  | ia,
|  |  | dia,
|  |  | extflag,
|  |  | dirv2 )

Value:
(((ia) || (dia) || (extflag) || (dirv2)) ? \
(XFS_SB_VERSION_4 | \
((ia) ? XFS_SB_VERSION_ALIGNBIT : 0) | \
((dia) ? XFS_SB_VERSION_DALIGNBIT : 0) | \
((extflag) ? XFS_SB_VERSION_EXTFLGBIT : 0) | \
((dirv2) ? XFS_SB_VERSION_DIRV2BIT : 0)) : \
XFS_SB_VERSION_1)

## XFS_SB_VERSION_NLINKBIT

#define XFS_SB_VERSION_NLINKBIT 0x0020

## XFS_SB_VERSION_NUM

#define XFS_SB_VERSION_NUM | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum & XFS_SB_VERSION_NUMBITS)
XFS_SB_VERSION_NUMBITS
#define XFS_SB_VERSION_NUMBITS
Definition xfs_sb.h:48

## XFS_SB_VERSION_NUMBITS

#define XFS_SB_VERSION_NUMBITS 0x000f

## XFS_SB_VERSION_OKREALBITS

#define XFS_SB_VERSION_OKREALBITS

Value:
(XFS_SB_VERSION_NUMBITS | \
XFS_SB_VERSION_OKREALFBITS | \
XFS_SB_VERSION_OKSASHFBITS)
XFS_SB_VERSION_OKREALFBITS
#define XFS_SB_VERSION_OKREALFBITS
Definition xfs_sb.h:63
XFS_SB_VERSION_OKSASHFBITS
#define XFS_SB_VERSION_OKSASHFBITS
Definition xfs_sb.h:60

## XFS_SB_VERSION_OKREALFBITS

#define XFS_SB_VERSION_OKREALFBITS

Value:
(XFS_SB_VERSION_ATTRBIT | \
XFS_SB_VERSION_NLINKBIT | \
XFS_SB_VERSION_QUOTABIT | \
XFS_SB_VERSION_ALIGNBIT | \
XFS_SB_VERSION_DALIGNBIT | \
XFS_SB_VERSION_SHAREDBIT)

## XFS_SB_VERSION_OKSASHBITS

#define XFS_SB_VERSION_OKSASHBITS

Value:
(XFS_SB_VERSION_NUMBITS | \
XFS_SB_VERSION_REALFBITS | \
XFS_SB_VERSION_OKSASHFBITS)
XFS_SB_VERSION_REALFBITS
#define XFS_SB_VERSION_REALFBITS
Definition xfs_sb.h:51

## XFS_SB_VERSION_OKSASHFBITS

#define XFS_SB_VERSION_OKSASHFBITS

Value:
(XFS_SB_VERSION_EXTFLGBIT | \
XFS_SB_VERSION_DIRV2BIT)

## XFS_SB_VERSION_QUOTABIT

#define XFS_SB_VERSION_QUOTABIT 0x0040

## XFS_SB_VERSION_REALFBITS

#define XFS_SB_VERSION_REALFBITS 0x0ff0

## XFS_SB_VERSION_SASHFBITS

#define XFS_SB_VERSION_SASHFBITS 0xf000

## XFS_SB_VERSION_SHAREDBIT

#define XFS_SB_VERSION_SHAREDBIT 0x0200

## XFS_SB_VERSION_SUBALIGN

#define XFS_SB_VERSION_SUBALIGN | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
XFS_SB_VERSION_TOOLD((sbp)->sb_versionnum & ~XFS_SB_VERSION_ALIGNBIT))

## XFS_SB_VERSION_SUBEXTFLGBIT

#define XFS_SB_VERSION_SUBEXTFLGBIT | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
((sbp)->sb_versionnum & ~XFS_SB_VERSION_EXTFLGBIT))

## XFS_SB_VERSION_SUBSHARED

#define XFS_SB_VERSION_SUBSHARED | ( |  | sbp | ) |

Value:
((sbp)->sb_versionnum = \
((sbp)->sb_versionnum & ~XFS_SB_VERSION_SHAREDBIT))

## XFS_SB_VERSION_TONEW

#define XFS_SB_VERSION_TONEW | ( |  | v | ) |

Value:
((((v) == XFS_SB_VERSION_1) ? \
0 : \
(((v) == XFS_SB_VERSION_2) ? \
XFS_SB_VERSION_ATTRBIT : \
(XFS_SB_VERSION_ATTRBIT | XFS_SB_VERSION_NLINKBIT))) | \
XFS_SB_VERSION_4)

## XFS_SB_VERSION_TOOLD

#define XFS_SB_VERSION_TOOLD | ( |  | v | ) |

Value:
(((v) & (XFS_SB_VERSION_QUOTABIT | XFS_SB_VERSION_ALIGNBIT)) ? \
0 : \
(((v) & XFS_SB_VERSION_NLINKBIT) ? \
XFS_SB_VERSION_3 : \
(((v) & XFS_SB_VERSION_ATTRBIT) ? \
XFS_SB_VERSION_2 : \
XFS_SB_VERSION_1)))

## XFS_SB_VERSIONNUM

#define XFS_SB_VERSIONNUM XFS_SB_MVAL(VERSIONNUM)

## XFS_SB_WIDTH

#define XFS_SB_WIDTH XFS_SB_MVAL(WIDTH)

## XFS_SBF_NOFLAGS

#define XFS_SBF_NOFLAGS 0x00 /* no flags set */

## XFS_SBF_READONLY

#define XFS_SBF_READONLY 0x01 /* only read-only mounts allowed */

## Typedef Documentation

## xfs_sb_t

typedef struct xfs_sb xfs_sb_t

## Enumeration Type Documentation

## xfs_sb_field_t

enum xfs_sb_field_t

Enumerator
XFS_SBS_MAGICNUM |
XFS_SBS_BLOCKSIZE |
XFS_SBS_DBLOCKS |
XFS_SBS_RBLOCKS |
XFS_SBS_REXTENTS |
XFS_SBS_UUID |
XFS_SBS_LOGSTART |
XFS_SBS_ROOTINO |
XFS_SBS_RBMINO |
XFS_SBS_RSUMINO |
XFS_SBS_REXTSIZE |
XFS_SBS_AGBLOCKS |
XFS_SBS_AGCOUNT |
XFS_SBS_RBMBLOCKS |
XFS_SBS_LOGBLOCKS |
XFS_SBS_VERSIONNUM |
XFS_SBS_SECTSIZE |
XFS_SBS_INODESIZE |
XFS_SBS_INOPBLOCK |
XFS_SBS_FNAME |
XFS_SBS_BLOCKLOG |
XFS_SBS_SECTLOG |
XFS_SBS_INODELOG |
XFS_SBS_INOPBLOG |
XFS_SBS_AGBLKLOG |
XFS_SBS_REXTSLOG |
XFS_SBS_INPROGRESS |
XFS_SBS_IMAX_PCT |
XFS_SBS_ICOUNT |
XFS_SBS_IFREE |
XFS_SBS_FDBLOCKS |
XFS_SBS_FREXTENTS |
XFS_SBS_UQUOTINO |
XFS_SBS_GQUOTINO |
XFS_SBS_QFLAGS |
XFS_SBS_FLAGS |
XFS_SBS_SHARED_VN |
XFS_SBS_INOALIGNMT |
XFS_SBS_UNIT |
XFS_SBS_WIDTH |
XFS_SBS_DIRBLKLOG |
XFS_SBS_DUMMY |
XFS_SBS_FIELDCOUNT |